Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1044478 - [engine-setup] Encoding issue in /var/lib/ovirt-engine/setup-history.txt
Summary: [engine-setup] Encoding issue in /var/lib/ovirt-engine/setup-history.txt
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 3.4.0
Assignee: Yedidyah Bar David
QA Contact: Jiri Belka
URL:
Whiteboard: integration
Depends On:
Blocks: 1055503 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2013-12-18 11:59 UTC by Jiri Belka
Modified: 2014-09-18 12:24 UTC (History)
7 users (show)

Fixed In Version: ovirt-3.4.0-beta1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1055503 (view as bug list)
Environment:
Last Closed: 2014-06-12 14:06:12 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 22918 None None None Never
oVirt gerrit 23283 None None None Never

Description Jiri Belka 2013-12-18 11:59:45 UTC
Description of problem:

I had "forgotten" LANG=he_IL...

[root@jb-rh33 ~]# cat -nt /var/lib/ovirt-engine/setup-history.txt | tail
 18385  PACKAGE: yum-3.2.29-40.el6.noarch                      CEST 10:19:28 2013 M-`M-eM-w 09 M-c'
 18386  PACKAGE: yum-metadata-parser-1.1.2-16.el6.x86_64       CEST 10:19:27 2013 M-`M-eM-w 09 M-c'
 18387  PACKAGE: yum-plugin-security-1.1.30-14.el6.noarch      CEST 10:20:32 2013 M-`M-eM-w 09 M-c'
 18388  PACKAGE: yum-plugin-versionlock-1.1.30-14.el6.noarch   CET 10:29:11 2013 M-pM-eM-a 18 M-a'
 18389  PACKAGE: yum-rhn-plugin-0.9.1-49.el6.noarch            CEST 10:32:15 2013 M-`M-eM-w 09 M-c'
 18390  PACKAGE: yum-utils-1.1.30-14.el6.noarch                CEST 10:20:32 2013 M-`M-eM-w 09 M-c'
 18391  PACKAGE: zd1211-firmware-1.4-4.el6.noarch              CEST 10:20:42 2013 M-`M-eM-w 09 M-c'
 18392  PACKAGE: zip-3.0-1.el6.x86_64                          CEST 10:20:38 2013 M-`M-eM-w 09 M-c'
 18393  PACKAGE: zlib-1.2.3-29.el6.x86_64                      CEST 10:18:42 2013 M-`M-eM-w 09 M-c'
 18394  SETUP-EVENT-END
[root@jb-rh33 ~]# cat -n /var/lib/ovirt-engine/setup-history.txt | tail
 18385  PACKAGE: yum-3.2.29-40.el6.noarch                      CEST 10:19:28 2013 � 09 
 18386  PACKAGE: yum-metadata-parser-1.1.2-16.el6.x86_64       CEST 10:19:27 2013 � 09 
 18387  PACKAGE: yum-plugin-security-1.1.30-14.el6.noarch      CEST 10:20:32 2013 � 09 
 18388  PACKAGE: yum-plugin-versionlock-1.1.30-14.el6.noarch   CET 10:29:11 2013 18 
 18389  PACKAGE: yum-rhn-plugin-0.9.1-49.el6.noarch            CEST 10:32:15 2013 � 09 
 18390  PACKAGE: yum-utils-1.1.30-14.el6.noarch                CEST 10:20:32 2013 � 09 
 18391  PACKAGE: zd1211-firmware-1.4-4.el6.noarch              CEST 10:20:42 2013 � 09 
 18392  PACKAGE: zip-3.0-1.el6.x86_64                          CEST 10:20:38 2013 � 09 
 18393  PACKAGE: zlib-1.2.3-29.el6.x86_64                      CEST 10:18:42 2013 � 09 
 18394  SETUP-EVENT-END

With LANG=cs_CZ:

# cat -n /var/lib/ovirt-engine/setup-history.txt | tail
 22037  PACKAGE: yum-metadata-parser-1.1.2-16.el6.x86_64       St�9.��en�2013,�10:19:27�CEST
 22038  PACKAGE: yum-plugin-security-1.1.30-14.el6.noarch      St�9.��en�2013,�10:20:32�CEST
 22039  PACKAGE: yum-plugin-versionlock-1.1.30-14.el6.noarch   Po�18.�listopad�2013,�10:29:11�CET
 22040  PACKAGE: yum-rhn-plugin-0.9.1-49.el6.noarch            St�9.��en�2013,�10:32:15�CEST
 22041  PACKAGE: yum-utils-1.1.30-14.el6.noarch                St�9.��en�2013,�10:20:32�CEST
 22042  PACKAGE: yum-3.2.29-40.el6.noarch                      St�9.��en�2013,�10:19:28�CEST
 22043  PACKAGE: zd1211-firmware-1.4-4.el6.noarch              St�9.��en�2013,�10:20:42�CEST
 22044  PACKAGE: zip-3.0-1.el6.x86_64                          St�9.��en�2013,�10:20:38�CEST
 22045  PACKAGE: zlib-1.2.3-29.el6.x86_64                      St�9.��en�2013,�10:18:42�CEST
 22046  SETUP-EVENT-END


Version-Release number of selected component (if applicable):
is27

How reproducible:
???

Steps to Reproduce:
1. export LANG=he_IL
2. engine-setup
3. check setup-history.txt

Actual results:
encoding issue

Expected results:
just ascii?

Additional info:

Comment 2 Jiri Belka 2014-01-28 14:04:52 UTC
ok, ovirt-engine-setup-base-3.4.0-0.5.beta1.el6.noarch

taken from 'upstream/20140128_3.4_beta1'

Comment 3 Itamar Heim 2014-06-12 14:06:12 UTC
Closing as part of 3.4.0


Note You need to log in before you can comment on or make changes to this bug.